Page MenuHomePhabricator

Communicate session has expired on dashboard when switching between lists
Closed, ResolvedPublic

Description

When user's session expires and one tries switching between the lists on Content Translation dashboard, JS errors occur, and empty lists are displayed, leaving users without much clue about what happened.

Switching to translation lists after session has expired

jQuery.Deferred exception: Cannot read property 'contenttranslation' of undefined TypeError: Cannot read property 'contenttranslation' of undefined
    at http://cx2-testing.wmflabs.org/extensions/ContentTranslation/modules/dashboard/ext.cx.translationlist.js?79764:72:24
    at mightThrow (http://cx2-testing.wmflabs.org/load.php?debug=true&lang=en&modules=jquery%7Cmediawiki.base&only=scripts&skin=vector&version=069i1tc:3583:29)
    at process (http://cx2-testing.wmflabs.org/load.php?debug=true&lang=en&modules=jquery%7Cmediawiki.base&only=scripts&skin=vector&version=069i1tc:3651:12) undefined

Switching to suggestion lists after session has expired

jQuery.Deferred exception: Cannot read property 'contenttranslation' of undefined TypeError: Cannot read property 'contenttranslation' of undefined
    at http://cx2-testing.wmflabs.org/extensions/ContentTranslation/modules/dashboard/ext.cx.recommendtool.client.js?80968:57:39
    at mightThrow (http://cx2-testing.wmflabs.org/load.php?debug=true&lang=en&modules=jquery%7Cmediawiki.base&only=scripts&skin=vector&version=069i1tc:3583:29)
    at process (http://cx2-testing.wmflabs.org/load.php?debug=true&lang=en&modules=jquery%7Cmediawiki.base&only=scripts&skin=vector&version=069i1tc:3651:12) undefined
jQuery.Deferred exception: Cannot read property 'contenttranslation' of undefined TypeError: Cannot read property 'contenttranslation' of undefined
    at http://cx2-testing.wmflabs.org/extensions/ContentTranslation/modules/dashboard/ext.cx.recommendtool.client.js?80968:57:39
    at mightThrow (http://cx2-testing.wmflabs.org/load.php?debug=true&lang=en&modules=jquery%7Cmediawiki.base&only=scripts&skin=vector&version=069i1tc:3583:29)
    at process (http://cx2-testing.wmflabs.org/load.php?debug=true&lang=en&modules=jquery%7Cmediawiki.base&only=scripts&skin=vector&version=069i1tc:3651:12) undefined
jQuery.Deferred exception: Cannot read property 'contenttranslation' of undefined TypeError: Cannot read property 'contenttranslation' of undefined
    at http://cx2-testing.wmflabs.org/extensions/ContentTranslation/modules/dashboard/ext.cx.recommendtool.client.js?80968:57:39
    at mightThrow (http://cx2-testing.wmflabs.org/load.php?debug=true&lang=en&modules=jquery%7Cmediawiki.base&only=scripts&skin=vector&version=069i1tc:3583:29)
    at process (http://cx2-testing.wmflabs.org/load.php?debug=true&lang=en&modules=jquery%7Cmediawiki.base&only=scripts&skin=vector&version=069i1tc:3651:12) undefined

Proposed solution

T192066 proposes to display the login dialog when the session expires on translation view, and we could utilize the same approach for the dashboard as well:

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterDisplay dialog when user session expires

Event Timeline

Petar.petkovic renamed this task from CX2: Communicate session has expired on dashboard to Communicate session has expired on dashboard.Jul 29 2018, 2:48 PM
Petar.petkovic created this task.
Petar.petkovic renamed this task from Communicate session has expired on dashboard to Communicate session has expired on dashboard when switching between lists.Jul 29 2018, 3:00 PM

Change 448153 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Display dialog when user session expires

https://gerrit.wikimedia.org/r/448153

Change 448153 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Display dialog when user session expires

https://gerrit.wikimedia.org/r/448153

Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptAug 28 2018, 11:28 AM

@Pginer-WMF - please take a quick look. The screenshot from Proposed solution looks different from the following screenshot in cx2. Also, using the term "list" may be confusing to some users.

I checked the functionality - all works, so if the design is ok, you may mark the ticket as Resolved.

@Pginer-WMF - please take a quick look. The screenshot from Proposed solution looks different from the following screenshot in cx2. Also, using the term "list" may be confusing to some users.


I checked the functionality - all works, so if the design is ok, you may mark the ticket as Resolved.

The design was not actually provided by @Pginer-WMF for this ticket. I have reused the image which he created for T192066, just to illustrate the point. That is the reason text is different.
Button is blue because of the changes in OOUI library.

Pginer-WMF closed this task as Resolved.Sep 3 2018, 3:00 PM

Looks good to me.